Bug 133900 - Parsing API
Parsing API
Status: RESOLVED FIXED
Product: editor
Classification: Unclassified
Component: Parsing & Indexing
6.x
All All
: P1 (vote)
: 6.x
Assigned To: Jan Jancura
issues@editor
http://wiki.netbeans.org/ParsingAPI
: PLAN
Depends on: 127357 136169 136641
Blocks: 90724
  Show dependency treegraph
 
Reported: 2008-04-25 07:56 UTC by Jan Becicka
Modified: 2009-05-11 08:48 UTC (History)
2 users (show)

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Jan Becicka 2008-04-25 07:56:39 UTC
NetBeans IDE is no longer just Java IDE. We support many various languages: Java, Ruby, PHP, JSP, Javascript and so on.
Each language support module implements its own parsing framework. We have Retouche for Java, GSF for Ruby, Schliemann
for Javascript. Now is the right time to consiladate those framworks in order to avoid code duplication, improve
performance, solve threading issues, consolidate features and allow language embedding.

We want to create Parsing API to:

    * Unify registration of parsers
    * Allow language embedding
    * Allow file indexing
    * Unify threading, starting/canceling parser tasks
    * Avoid code duplication
    * Simplify implementation of language supports
Comment 1 Jan Jancura 2008-11-27 20:28:04 UTC
Parsing API was merged to trunk. Java Module is rewritten on top of Parsing API.
Indexing is not a part of this merge.
Comment 2 Vitezslav Stejskal 2009-05-11 08:48:40 UTC
This has been done.


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo